Public Class Form1
    'bennettdan77@yahoo.com if any ?
    Private WithEvents serialPort As New IO.Ports.SerialPort ' This is what enable the serial port

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        If serialPort.IsOpen Then
            serialPort.Close()
        End If
        Try
            With serialPort 'This is where you setup the serial port on your PC 
                .PortName = "COM1"
                .BaudRate = 2400
                .Parity = IO.Ports.Parity.None
                .DataBits = 8
                .StopBits = IO.Ports.StopBits.Two
                .Handshake = IO.Ports.Handshake.None
            End With
            serialPort.Open()
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
        RadioButton2.Checked = True 'This selects the middle position at startup
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim i As Integer = Label2.Text

        Dim hx As String = i.ToString("X")  ' this should convert the position data into two hex bites.


        serialPort.Write("!SC" + "17" + hx + Chr(13))   'This writes the !SC + the channel 1 ramp rate 7 + position 250,750 or 1250 + control return to the servo controller.
    End Sub

    Private Sub RadioButton1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton1.CheckedChanged
        If RadioButton1.Checked = True Then Label2.Text = "250" 'This sets the position and ramp data into the label2 text.
    End Sub

    Private Sub RadioButton2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton2.CheckedChanged
        If RadioButton2.Checked = True Then Label2.Text = "750" 'This sets the position and ramp data into the label2 text.
    End Sub

    Private Sub RadioButton3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton3.CheckedChanged
        If RadioButton3.Checked = True Then Label2.Text = "1250" 'This sets the position and ramp data into the label2 text.
    End Sub
End Class
